## IdeSimpleBuildTarget IdeSimpleBuildTarget |

## Functions

IdeSimpleBuildTarget * | ide_simple_build_target_new ()
void | ide_simple_build_target_set_install_directory ()
void | ide_simple_build_target_set_name ()
void | ide_simple_build_target_set_priority ()
void | ide_simple_build_target_set_argv ()
void | ide_simple_build_target_set_cwd ()
void | ide_simple_build_target_set_language ()

## Types and Values

#define | IDE_TYPE_SIMPLE_BUILD_TARGET
struct | IdeSimpleBuildTargetClass
| IdeSimpleBuildTarget

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeSimpleBuildTarget

## Implemented Interfaces

IdeSimpleBuildTarget implements IdeBuildTarget.

## Description

## Functions

### ide_simple_build_target_new ()

    IdeSimpleBuildTarget *
    ide_simple_build_target_new (IdeContext *context);

### ide_simple_build_target_set_install_directory ()

    void
    ide_simple_build_target_set_install_directory
                                   (IdeSimpleBuildTarget *self,
                                    GFile *install_directory);

### ide_simple_build_target_set_name ()

    void
    ide_simple_build_target_set_name (IdeSimpleBuildTarget *self,
                                      const gchar *name);

### ide_simple_build_target_set_priority ()

    void
    ide_simple_build_target_set_priority (IdeSimpleBuildTarget *self,
                                          gint priority);

### ide_simple_build_target_set_argv ()

    void
    ide_simple_build_target_set_argv (IdeSimpleBuildTarget *self,
                                      const gchar * const *argv);

### ide_simple_build_target_set_cwd ()

    void
    ide_simple_build_target_set_cwd (IdeSimpleBuildTarget *self,
                                     const gchar *cwd);

### ide_simple_build_target_set_language ()

    void
    ide_simple_build_target_set_language (IdeSimpleBuildTarget *self,
                                          const gchar *language);

## Types and Values

### IDE_TYPE_SIMPLE_BUILD_TARGET

    #define IDE_TYPE_SIMPLE_BUILD_TARGET (ide_simple_build_target_get_type())

### struct IdeSimpleBuildTargetClass

    struct IdeSimpleBuildTargetClass {
      IdeObjectClass parent_class;
    };

### IdeSimpleBuildTarget

    typedef struct _IdeSimpleBuildTarget IdeSimpleBuildTarget;